TabItemForTaxonomyRow (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.cluster

## Class TabItemForTaxonomyRow

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.cluster.TabItemForTaxonomyRow

-     public class TabItemForTaxonomyRow
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabItemForTaxonomyRow(TablesForTaxonomyRow tablesForTaxonomyRow, com.extjs.gxt.ui.client.widget.TabPanel tabPanel2, com.google.gwt.event.shared.EventBus eventBus2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPanelForParentTaxonomy(TaxonomyRow taxon, com.extjs.gxt.ui.client.widget.VerticalPanel vpClassification, String taxonomyServiceId, boolean isNewTab, String dataSource, int parentIndex)` Create a scientific classification: for each parent rank create a link, for current search item create a label
    `com.extjs.gxt.ui.client.widget.Html` | `getHTMLTableForTaxonomy(TaxonomyRow row, boolean isNewTab)`
    `com.google.gwt.user.client.ui.FlexTable` | `getHTMLTableForTaxonomyWithRef(TaxonomyRow row, boolean isNewTab, String dataSource)`
    `com.extjs.gxt.ui.client.widget.VerticalPanel` | `getPanelClassificationForTaxonomy(TaxonomyRow taxonomy, String dataSource, boolean isNewTab)`
    `void` | `getSynonymsByReferenceId(com.google.gwt.user.client.ui.FlexTable flexTable, int row, int col, String refId, String dataSource, List<TaxonomyRow> parents)`
    `void` | `getTaxonomyByReferenceId(com.google.gwt.user.client.ui.FlexTable flexTable, int row, int col, String statusRemark, String refId, String dataSource, List<TaxonomyRow> parents)`
    `void` | `setCurrentTaxonomy(TaxonomyRow taxonomy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabItemForTaxonomyRow

          public TabItemForTaxonomyRow(TablesForTaxonomyRow tablesForTaxonomyRow,
                               com.extjs.gxt.ui.client.widget.TabPanel tabPanel2,
                               com.google.gwt.event.shared.EventBus eventBus2)

  - ### Method Detail

    - #### setCurrentTaxonomy

          public void setCurrentTaxonomy(TaxonomyRow taxonomy)

    - #### getPanelClassificationForTaxonomy

          public com.extjs.gxt.ui.client.widget.VerticalPanel getPanelClassificationForTaxonomy(TaxonomyRow taxonomy,
                                                                                       String dataSource,
                                                                                       boolean isNewTab)

      Parameters:
        `taxonomy` -
        `isNewTab` - - set true if has been clicked a classification link, or false otherwise
      Returns:

    - #### createPanelForParentTaxonomy

          public void createPanelForParentTaxonomy(TaxonomyRow taxon,
                                          com.extjs.gxt.ui.client.widget.VerticalPanel vpClassification,
                                          String taxonomyServiceId,
                                          boolean isNewTab,
                                          String dataSource,
                                          int parentIndex)

      Create a scientific classification: for each parent rank create a link, for current search item create a label
      Parameters:
        `taxon` -
        `vpClassification` -
        `taxonomyServiceId` -
        `isNewTab` -
        `parentIndex` -

    - #### getHTMLTableForTaxonomy

          public com.extjs.gxt.ui.client.widget.Html getHTMLTableForTaxonomy(TaxonomyRow row,
                                                                    boolean isNewTab)

    - #### getHTMLTableForTaxonomyWithRef

          public com.google.gwt.user.client.ui.FlexTable getHTMLTableForTaxonomyWithRef(TaxonomyRow row,
                                                                               boolean isNewTab,
                                                                               String dataSource)

    - #### getSynonymsByReferenceId

          public void getSynonymsByReferenceId(com.google.gwt.user.client.ui.FlexTable flexTable,
                                      int row,
                                      int col,
                                      String refId,
                                      String dataSource,
                                      List<TaxonomyRow> parents)

    - #### getTaxonomyByReferenceId

          public void getTaxonomyByReferenceId(com.google.gwt.user.client.ui.FlexTable flexTable,
                                      int row,
                                      int col,
                                      String statusRemark,
                                      String refId,
                                      String dataSource,
                                      List<TaxonomyRow> parents)

Copyright © 2013. All Rights Reserved.